
Foreman - Bug #12431

tins 1.7.0 requires Ruby 2.0 or higher

11/10/2015 05:58 AM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2898

  

Description

The release of tins 1.7.0 (a dep of term-ansicolor in our development group) requires Ruby 2.0 or higher, so causes installation

failures on Ruby 1.9.3 platforms.

Related issues:

Related to Foreman - Refactor #8884: Drop Ruby 1.9.3 support Closed 01/09/2015

Related to Foreman - Bug #12615: Bundler pack could not find compatible versi... Closed 11/26/2015

Associated revisions

Revision cbb604f5 - 11/12/2015 08:55 AM - Dominic Cleal

fixes #12431 - pin tins for Ruby 1.9.3 compatibility

Revision 33f71f9b - 11/16/2015 09:30 AM - Dominic Cleal

fixes #12431 - pin tins for Ruby 1.9.3 compatibility

(cherry picked from commit cbb604f5bab096b751f0cf447d26306ae9fe3b85)

History

#1 - 11/10/2015 06:03 AM - Dominic Cleal

- Related to Refactor #8884: Drop Ruby 1.9.3 support added

#2 - 11/10/2015 06:04 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2898 added

#3 - 11/12/2015 09:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset cbb604f5bab096b751f0cf447d26306ae9fe3b85.

#4 - 11/26/2015 06:42 AM - Dominic Cleal

- Related to Bug #12615: Bundler pack could not find compatible versions for gem "tins" on 1.9 added
